/*
* Original code by ©Kosada Incorporated, released under MIT License, modified by Bodysoulspirit.
* This code may be modified and distributed under the terms of the MIT License.
* For more information, see https://vuo.org/license.
*/

#include "node.h"

VuoModuleMetadata({
					 "title" : "If True, Else",
					 "keywords" : ["==", "same", "identical", "equivalent", "match", "compare", "true", "false", "logic"],
					 "description" : "Outputs true and an event from the Is True output port if the input port is true, and false on the output port if false, blocking the other output port from firing events",
					 "version" : "1.0.0",
				 });

void nodeEvent
(
	VuoInputData(VuoBoolean, {"default":true}) value,
	VuoInputEvent({"eventBlocking":"door","data":"value"}) valuesEvent,
	VuoOutputData(VuoBoolean) isTrue,
		VuoOutputEvent({"data":"isTrue"}) isTrueEvent,
	VuoOutputData(VuoBoolean) isElse,
		VuoOutputEvent({"data":"isElse"}) isElseEvent
)
{
	*isTrue = false;
	*isElse = false;
	if (value == true)
	{
		*isTrue = true;
		*isTrueEvent = true;
	}
	else{
		*isElse = false;
		*isElseEvent = true;
	}
}
